[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.MouseButtonAllowed

Indicates whether the specified mouse button can be handled when mouse down messages are processed for for the grid control.

## Declaration

Source position: dbgrids.pas line 493

`protected function TCustomDBGrid.MouseButtonAllowed(`
`Button: TMouseButton`
`):Boolean; override;`

## Arguments

`Button` |  | Mouse button checked in the method.

## Function result

True if the specified mouse button is handled in the class instance. False if the mouse button is processed by the ancestor class.

## Description

MouseButtonAllowed is an overridden method in TCustomDBGrid used to determine whether the specified mouse button can be handled by the grid control. It re-implements the method from the ancestor class, and does not call the inherited method.

The return value is True when the DataLink is Active, and Button contains mbLeft or dgAnyButtonCanSelect has been included in the Options for the control.

MouseButtonAllowed is called when mouse button events are handled in the MouseDown method.

## See also

TCustomDBGrid.DataLink |  | Datalink for the component with event handlers for the linked dataset.
TCustomDBGrid.Options |  | Contains the optional features or behaviors that are enabled for the grid control.
TCustomDBGrid.MouseDown |  | Handles mouse down messages in the control and signals the OnMouseDown event handler.
TComponentDataLink |  | Maintains an association between a component and a dataset.
TDbGridOptions |  | Stores values from the TDbGridOption enumeration.
TDbGridOption |  | Enumerated type containing options available for use in a database grid control.
TDataLink.Active